View Issue Details

IDProjectCategoryView StatusLast Update
0003406gnunet-gtkgnunet-peerinfo-gtkpublic2018-06-07 00:25
ReporterellAssigned ToChristian Grothoff 
PrioritynormalSeveritycrashReproducibilityhave not tried
Status closedResolutionfixed 
Platformnat vboxOSXubuntu-14.04-64amdOS Version
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003406: svn 33259: gnunet-peerinfo-gtk:823 asserts due to multiple addresses being reported by ATS as active
Description...
Mai 13 15:52:11-951569 gnunet-fs-gtk-2386 WARNING External protocol violation detected at fs_search.c:749.
Mai 13 15:52:11-951713 gnunet-fs-gtk-2386 ERROR Failed to parse URI `gnunet://fs/loc/NRKO8SH67NR9RCI6LKI9208EA6D93SC7IJ4E1IR32HKJTTM51L578HDTVU5431ECG2AB8IADDR1IS5NA67I1SOFD0TJ94IHDG873TVG.NVD48JL44FHIFTOF4I95GENUFGGC86NPUSORCK21VPGOQUBCNVUJ13R0B2A948K2OJQMRGLBJOLRTNSVOLF9VPO7T37BQSM9H8H18A8.64004664.xw3Jex03_RTfPDynsj1RZ21ryW2YY26bxoOFWsc2RL5.RW=yQZCqTxJTpx0c6xw1iTDh8cfnMj_FqQQXfKrC3Hq6BJNkYiE3CgKDzfnrf6Im6EA8SWZ_iIKbRenGZ=cTE0.1422748800': LOC URI malformed (could not decode public key)
Mai 13 15:54:43-526509 gnunet-peerinfo-gtk-2384 ERROR Assertion failed at gnunet-peerinfo-gtk.c:823.
Mai 13 15:54:43-622638 gnunet-peerinfo-gtk-2384 ERROR Assertion failed at gnunet-peerinfo-gtk.c:823.
Mai 13 15:54:43-847734 gnunet-peerinfo-gtk-2384 ERROR Assertion failed at gnunet-peerinfo-gtk.c:823.
Mai 13 15:54:43-853503 gnunet-peerinfo-gtk-2384 ERROR Assertion failed at gnunet-peerinfo-gtk.c:823.
Mai 13 15:54:43-932539 gnunet-peerinfo-gtk-2384 ERROR Assertion failed at gnunet-peerinfo-gtk.c:823.
Mai 13 15:54:43-933278 gnunet-peerinfo-gtk-2384 ERROR Assertion failed at gnunet-peerinfo-gtk.c:823.
Mai 13 15:54:44-036829 gnunet-peerinfo-gtk-2384 ERROR Assertion failed at gnunet-peerinfo-gtk.c:823.
...
Steps To Reproduce./gnunet-gtk
Additional Information(gnunet-peerinfo-gtk-2384)-ERROR seems to be a new issue.

In addition to b-track-number 3398 I uploaded gnunet-gtk-screenshot for this
revision. The screenshot is taken on 13.05. - the respective uploaded filename is missleading.
TagsNo tags attached.

Activities

ell

2014-05-13 16:22

reporter  

Christian Grothoff

2014-05-13 16:31

manager   ~0008330

Yes, definitively new. Thanks for reporting, will investigate.

Christian Grothoff

2014-05-13 16:35

manager   ~0008331

Assigned to wachs for now, as I need ATS API clarification. I'll updated gtk afterwards accordingly (please then reassign to me).

ell

2014-05-16 08:13

reporter   ~0008348

Last edited: 2014-06-02 13:56

View 3 revisions

Nevertheless Revision 33304 is a great improvement, the "gnunet-peerinfo-gtk-2384 ERROR" is still alive. Now reads:
gnunet-peerinfo-gtk-2675 ERROR Assertion failed at gnunet-peerinfo-gtk.c:823.

In Revision 33466 it reads:
...
Jun 02 13:54:00-411967 gnunet-peerinfo-gtk-27101 ERROR Assertion failed at gnunet-peerinfo-gtk.c:835.
...

Christian Grothoff

2014-06-16 11:09

manager   ~0008432

Ok, discussion with Matthias concluded that ATS should be allowed to report multiple addresses as active at the same time. So the check should be removed. However, ATS still now needs to be modified to report addresses going inactive explicitly.

Christian Grothoff

2014-06-16 12:12

manager   ~0008433

Changed ATS code to notify clients about destroyed addresses.
Changed gnunet-peerinfo-gtk to remove destroyed addresses properly.
Changed ATS code to notify clients about addresses becoming inactive.
Changed gnunet-peerinfo-gtk to allow multiple addresses to be active at the same time (as that can theoretically still happen briefly).

Issue History

Date Modified Username Field Change
2014-05-13 16:22 ell New Issue
2014-05-13 16:22 ell File Added: gnunet-gtk-Screenshot-11.05.2014-16:46:45.png
2014-05-13 16:30 Christian Grothoff Summary svn 33259: => svn 33259: gnunet-peerinfo-gtk:823 asserts due to multiple addresses being reported by ATS as active
2014-05-13 16:30 Christian Grothoff Description Updated View Revisions
2014-05-13 16:31 Christian Grothoff Note Added: 0008330
2014-05-13 16:34 Christian Grothoff Assigned To => Matthias Wachs
2014-05-13 16:34 Christian Grothoff Status new => assigned
2014-05-13 16:35 Christian Grothoff Note Added: 0008331
2014-05-16 08:13 ell Note Added: 0008348
2014-05-16 08:15 ell Note Edited: 0008348 View Revisions
2014-06-02 13:56 ell Note Edited: 0008348 View Revisions
2014-06-04 15:36 Christian Grothoff Product Version => SVN HEAD
2014-06-04 15:36 Christian Grothoff Target Version => 0.11.0pre66
2014-06-04 15:36 Christian Grothoff Description Updated View Revisions
2014-06-08 13:25 Christian Grothoff Severity minor => crash
2014-06-16 11:09 Christian Grothoff Note Added: 0008432
2014-06-16 12:11 Christian Grothoff Assigned To Matthias Wachs => Christian Grothoff
2014-06-16 12:12 Christian Grothoff Note Added: 0008433
2014-06-16 12:12 Christian Grothoff Status assigned => resolved
2014-06-16 12:12 Christian Grothoff Fixed in Version => 0.11.0pre66
2014-06-16 12:12 Christian Grothoff Resolution open => fixed
2018-06-07 00:25 Christian Grothoff Status resolved => closed